<script>
  import Square from './Square.svelte'
  export let squares = []
</script>

<div class="board">
  {#each squares as square}
    <Square {square} on:selectSquare />
  {/each}
</div>

<style>
  .board {
    display: grid;
    grid-template-columns: repeat(3, 100px);
    width: 302px;
    border-top: 2px solid #006d77;
    border-right: 2px solid #006d77;
    margin: 0 auto;
  }
</style>
